# Ad Exchange Seller API . customchannels . adunits

## Instance Methods

List all ad units in the specified custom channel.

Retrieves the next page of results.

### Method Details

`list(adClientId, customChannelId, pageToken=None, includeInactive=None, maxResults=None)`

    List all ad units in the specified custom channel.

    Args:
      adClientId: string, Ad client which contains the custom channel. (required)
      customChannelId: string, Custom channel for which to list ad units. (required)
      pageToken: string, A continuation token, used to page through ad units. To retrieve the next page, set this parameter to the value of "nextPageToken" from the previous response.
      includeInactive: boolean, Whether to include inactive ad units. Default: true.
      maxResults: integer, The maximum number of ad units to include in the response, used for paging.

    Returns:
      An object of the form:

        {
        "nextPageToken": "A String", # Continuation token used to page through ad units. To retrieve the next page of results, set the next request's "pageToken" value to this.
        "items": [ # The ad units returned in this list response.
          {
            "status": "A String", # Status of this ad unit. Possible values are:
                # NEW: Indicates that the ad unit was created within the last seven days and does not yet have any activity associated with it.
                #
                # ACTIVE: Indicates that there has been activity on this ad unit in the last seven days.
                #
                # INACTIVE: Indicates that there has been no activity on this ad unit in the last seven days.
            "kind": "adexchangeseller#adUnit", # Kind of resource this is, in this case adexchangeseller#adUnit.
            "code": "A String", # Identity code of this ad unit, not necessarily unique across ad clients.
            "id": "A String", # Unique identifier of this ad unit. This should be considered an opaque identifier; it is not safe to rely on it being in any particular format.
            "name": "A String", # Name of this ad unit.
          },
        ],
        "kind": "adexchangeseller#adUnits", # Kind of list this is, in this case adexchangeseller#adUnits.
        "etag": "A String", # ETag of this response for caching purposes.
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.